Subject: 2.6.30-rc1 A few issues and a stall

From: Ed Tomlinson <[email-masked]>
Date: Sun, 12 Apr 2009 11:24:06 -0400

Hi,

I got tired of building out of tree DRM drivers so decided to try 2.6.30-rc1.  For simple tasks
it works fine, for slightly more complex ones it is not quite as good...

Here is an example.  I normally start a kvm session with the commands below:

ed@grover ~/vm $ sudo modprobe tun
ed@grover ~/vm $ sudo brctl addbr br0
ed@grover ~/vm $ sudo ifconfig br0 192.168.100.254 netmask 255.255.255.0 up
ed@grover ~/vm $ sudo tunctl -b -u ed -t qtap0
qtap0
ed@grover ~/vm $ sudo brctl addif br0 qtap0
ed@grover ~/vm $ sudo ifconfig qtap0 up 0.0.0.0 promisc
ed@grover ~/vm $ sudo iptables -t nat -A POSTROUTING -o eth0 -j MASQUERADE
iptables v1.4.2: can't initialize iptables table `nat': Table does not exist (do you need to insmod?)
Perhaps iptables or your kernel needs to be upgraded.

Issue 1 - I need to manually modprobe be get iptables to work.  This exact procedure worked in 2.6.29.

ed@grover ~/vm $ sudo modprobe nf_nat
ed@grover ~/vm $ sudo modprobe ipt_MASQUERADE
ed@grover ~/vm $ sudo iptables -t nat -A POSTROUTING -o eth0 -j MASQUERADE

Once the above networking stuff is setup I start kvm with the command below

QEMU_AUDIO_DRV=alsa kvm -m 1024 -cdrom /mnt/sdc4/divx/archlinux-2009.02-ftp-i686.iso -boot c -smp 3 -usb -usbdevice tablet -vga std -drive file=arch.img -net nic,macaddr=52:54:00:12:34:23 -net tap,ifname=qtap0,script=no -soundhw all -mem-path /hugepages

which works and the kvm session boots just fine.  

Issue 2.  When I attempt to ping outside the kvm session the pc (not just the kvm session) hangs.
Its impossible to kill the kvm session and there are numerious info messages from RCU (tree RCU enabled)
about stalls.  

Issue 3.  ACPI is having fun during startup.  This does not seem to cause problems later but is 
noisy and probably should be fixed before .30's release.

I've attached a complete log of what happens including a Sysrq+T, its a bit big to inline, along with
my config.

BTW the DRM driver works as advertised.

Hope this helps,
Ed Tomlinson